#include <psone/bladeps.h>
#include "xl_sprite.h"
#include "xl_tile.h"
#include "xl_pad.h"

#define SCREEN_W 320
#define SCREEN_H 240

//------------------------------------------------------------------------------
// Function Prototype
//------------------------------------------------------------------------------
void UpdateScreen(void);
void ClearScreen(void);
void InitBGSound(void);
void PlayBGSound(void);
void InitSprite(void);

void setDOT_RGB(GsDOT* dot, u_char r, u_char g, u_char b);
void setDOT_XY(GsDOT* dot, short x, short y);
void do_Stars(GsDOT *Stars, int maxStars, u_char speed);
void init_Stars(GsDOT *Stars, int maxStars, u_char color);

//------------------------------------------------------------------------------
// External
//------------------------------------------------------------------------------
// external backgound music
extern u_char bgmusic[];

// external backgound image
extern u_char bg_l[];
extern u_char bg_r[];
extern u_char exiang[];
extern u_char spaceship[];

//------------------------------------------------------------------------------
// object
//------------------------------------------------------------------------------
u_char primitive_buffer[2][14000];

// Starfield stuff
GsDOT fStars[100];
GsDOT mStars[200];
GsDOT bStars[300];

// EX tile object
GsTILE top_bar;
GsTILE bottom_bar;

// game screen image sprite
XL_SPRITE bg_l_sprite;
XL_SPRITE bg_r_sprite;
XL_SPRITE exiang_sprite;
XL_SPRITE spaceship_sprite;

//------------------------------------------------------------------------------
// state, counter, flag
//------------------------------------------------------------------------------
// graphic buffer
int act;

// quit program flag, 0 is initial value, 1 to quit
int main_quit_flag;
int mod_volume;

